| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members
AAX_IACFSessionDocumentClient Class Referenceabstract

`#include <AAX_IACFSessionDocumentClient.h>`

Inheritance diagram for AAX_IACFSessionDocumentClient:
[legend]
Collaboration diagram for AAX_IACFSessionDocumentClient:
[legend]

## Description

Interface representing a client of the session document interface.

For example, a plug-in implementation that makes calls on the session document interface provided by the host.

## Public Member Functions
Initialization and uninitialization
virtual AAX_Result | Initialize (IACFUnknown *iUnknown)=0
virtual AAX_Result | Uninitialize (void)=0
Session document access
virtual AAX_Result | SetSessionDocument (IACFUnknown *iSessionDocument)=0
| Sets or removes a session document.
AAX host and plug-in event notification
virtual AAX_Result | NotificationReceived (AAX_CTypeID inNotificationType, const void *inNotificationData, uint32_t inNotificationDataSize)=0
| Notification Hook.
Public Member Functions inherited from IACFUnknown
virtual BEGIN_ACFINTERFACE ACFRESULT ACFMETHODCALLTYPE | QueryInterface (const acfIID &iid, void **ppOut)=0
| Returns pointers to supported interfaces.
virtual acfUInt32 ACFMETHODCALLTYPE | AddRef (void)=0
| Increments reference count.
virtual acfUInt32 ACFMETHODCALLTYPE | Release (void)=0
| Decrements reference count.

## Member Function Documentation

## ◆ Initialize()

virtual AAX_Result AAX_IACFSessionDocumentClient::Initialize | ( | IACFUnknown * | iUnknown | ) |
| pure virtual

Implemented in AAX_CSessionDocumentClient.

## ◆ Uninitialize()

virtual AAX_Result AAX_IACFSessionDocumentClient::Uninitialize | ( | void |  | ) |
| pure virtual

Implemented in AAX_CSessionDocumentClient.

## ◆ SetSessionDocument()

virtual AAX_Result AAX_IACFSessionDocumentClient::SetSessionDocument | ( | IACFUnknown * | iSessionDocument | ) |
| pure virtual

Sets or removes a session document.

Parameters

  [in] | iSessionDocument | Interface supporting at least AAX_IACFSessionDocument, or `nullptr` to indicate that any session document that is currently held should be released.

Implemented in AAX_CSessionDocumentClient.

## ◆ NotificationReceived()

virtual AAX_Result AAX_IACFSessionDocumentClient::NotificationReceived | ( | AAX_CTypeID | inNotificationType,
|  | const void * | inNotificationData,
|  | uint32_t | inNotificationDataSize
| ) |  |
| pure virtual

Notification Hook.

Called from the host to deliver notifications to this object.

Look at the AAX_ENotificationEvent enumeration to see a description of events you can listen for and the data they come with.

- Note
    Different notifications are sent to different objects within a plug-in. If you are not seeing an expected notification, try checking the other plug-in objects' `NotificationReceived()` methods.
- Note
    the host may dispatch notifications synchronously or asynchronously, and calls to this method may occur concurrently on multiple threads.
  A plug-in may also dispatch custom notifications using AAX_IController::SendNotification(). Custom notifications will be posted back to the plug-in's other objects which support a `NotificationReceived()` method (e.g. the data model).

Parameters

  [in] | inNotificationType | Type of notification being received. Notifications form the host are one of AAX_ENotificationEvent
  [in] | inNotificationData | Block of incoming notification data
  [in] | inNotificationDataSize | Size of `inNotificationData`, in bytes

Implemented in AAX_CSessionDocumentClient.

The documentation for this class was generated from the following file:

- AAX_IACFSessionDocumentClient.h